python-qt5-5.6-8.mga6.x86_64.rpm


Advertisement

Description

python-qt5 - Set of Python bindings for The Qt Company's Qt application framework

Property Value
Distribution Mageia 6.0
Repository Mageia Core x86_64
Package name python-qt5
Package version 5.6
Package release 8.mga6
Package architecture x86_64
Package type rpm
Installed size 41.84 KB
Download size 24.67 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
PyQt is a set of Python bindings for The Qt Company's Qt application
framework.

Alternatives

Package Version Architecture Repository
python-qt5-5.6-8.mga6.i586.rpm 5.6 i586 Mageia Core
python-qt5 - - -

Requires

Name Value
python-qt5-bluetooth == 5.6
python-qt5-core == 5.6
python-qt5-dbus == 5.6
python-qt5-designer == 5.6
python-qt5-enginio == 5.6
python-qt5-gui == 5.6
python-qt5-location == 5.6
python-qt5-multimedia == 5.6
python-qt5-multimediawidgets == 5.6
python-qt5-network == 5.6
python-qt5-nfc == 5.6
python-qt5-opengl == 5.6
python-qt5-positioning == 5.6
python-qt5-printsupport == 5.6
python-qt5-qml == 5.6
python-qt5-quick == 5.6
python-qt5-quickwidgets == 5.6
python-qt5-sensors == 5.6
python-qt5-serialport == 5.6
python-qt5-sql == 5.6
python-qt5-svg == 5.6
python-qt5-test == 5.6
python-qt5-webchannel == 5.6
python-qt5-webenginecore == 5.6
python-qt5-webenginewidgets == 5.6
python-qt5-webkit == 5.6
python-qt5-webkitwidgets == 5.6
python-qt5-websockets == 5.6
python-qt5-widgets == 5.6
python-qt5-x11extras == 5.6
python-qt5-xml == 5.6
python-qt5-xmlpatterns == 5.6

Provides

Name Value
PyQt5 == 5.6-8.mga6
python-qt5 == 5.6-8.mga6
python-qt5(x86-64) == 5.6-8.mga6

Download

Type URL
Binary Package python-qt5-5.6-8.mga6.x86_64.rpm
Source Package python-qt5-5.6-8.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install python-qt5 rpm package:
    # urpmi python-qt5

Files

Path
/usr/share/doc/python-qt5/NEWS
/usr/share/doc/python-qt5/README
/usr/share/licenses/python-qt5/LICENSE

Changelog

2016-10-06 - daviddavid <daviddavid> 5.6-8.mga6
+ Revision: 1059151
- fix pyqt5.so dbus file path (mga#19544)
2016-09-23 - daviddavid <daviddavid> 5.6-7.mga6
+ Revision: 1055615
- disable qtwebengine5 support only on armv5tl as long as it isn't available
2016-07-04 - daviddavid <daviddavid> 5.6-6.mga6
+ Revision: 1038677
- rebuild for new qtenginio5 1.6.1
2016-06-29 - akien <akien> 5.6-5.mga6
+ Revision: 1038083
- Split qsci API file in a separate noarch package
o See https://ml.mageia.org/l/arc/dev/2016-06/msg00729.html
2016-06-25 - akien <akien> 5.6-4.mga6
+ Revision: 1037683
- Rebuild in Core Release
2016-06-25 - akien <akien> 5.6-3.mga6
+ Revision: 1037509
- Drop unwanted Obsoletes on the WebKit{,Widgets} modules
- Package the Python 3 typehint stubs in python3-qt5-devel
2016-06-24 - akien <akien> 5.6-2.mga6
+ Revision: 1037467
- Readd WebKit{,Widgets} plugin needed by calibre
o Still builds against Qt 5.5.1 for this one as deprecated upstream, hope it works
2016-06-24 - akien <akien> 5.6-1.mga6
+ Revision: 1037442
- Fix wrong requires on python(2)-sip for python3 packages
- Enable some more modules
o Enginio
o QtQuickWidgets
o QtSensors
- Version 5.6
o Replace obsoleted WebKit modules by WebEngine ones
o Python3 build now produces *.pyi stubs; disable them for now
- s/Trolltech/The Qt Company/
2016-02-16 - umeabot <umeabot> 5.5.1-2.mga6
+ Revision: 962424
- Mageia 6 Mass Rebuild
2015-11-06 - daviddavid <daviddavid> 5.5.1-1.mga6
+ Revision: 898056
- new version: 5.5.1

See Also

Package Description
python-qt5-bluetooth-5.6-8.mga6.x86_64.rpm PyQt 5 bluetooth
python-qt5-core-5.6-8.mga6.x86_64.rpm PyQt 5 core
python-qt5-dbus-5.6-8.mga6.x86_64.rpm PyQt 5 dbus
python-qt5-designer-5.6-8.mga6.x86_64.rpm PyQt 5 designer
python-qt5-devel-5.6-8.mga6.x86_64.rpm PyQt 5 devel
python-qt5-doc-5.6-8.mga6.noarch.rpm PyQt 5 documentation
python-qt5-enginio-5.6-8.mga6.x86_64.rpm PyQt 5 enginio
python-qt5-examples-5.6-8.mga6.noarch.rpm PyQt 5 examples
python-qt5-gui-5.6-8.mga6.x86_64.rpm PyQt 5 gui
python-qt5-help-5.6-8.mga6.x86_64.rpm PyQt 5 help
python-qt5-location-5.6-8.mga6.x86_64.rpm PyQt 5 location
python-qt5-multimedia-5.6-8.mga6.x86_64.rpm PyQt 5 multimedia
python-qt5-multimediawidgets-5.6-8.mga6.x86_64.rpm PyQt 5 multimediawidgets
python-qt5-network-5.6-8.mga6.x86_64.rpm PyQt 5 network
python-qt5-nfc-5.6-8.mga6.x86_64.rpm PyQt 5 nfc
Advertisement
Advertisement